Postgis Manager errors when "loading from" or "dumping to" shapefiles

2009-09-01 01:13 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11971

Description

See attached images. This is not reproducible under linux. Tested with qgis-dev (1.3) available trough he osgeo4w installer.

History

#1 - 2009-09-04 03:44 AM - Luca Casagrande

Using Ubuntu 9.04 and latest trunk:

- Loading data to a postgis db is working fine for me.

- Dumping to shapefile report this error:

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "/home/doktoreas/.qgis//python/plugins/postgis_manager/DlgDumpData.py", line 97, in onDump

    p = subprocess.Popen(args=args, stderr=subprocess.PIPE)

  File "/usr/lib/python2.6/subprocess.py", line 595, in +init+

    errread, errwrite)

  File "/usr/lib/python2.6/subprocess.py", line 1092, in _execute_child

    raise child_exception

[[TypeError]]: execv() arg 2 must contain only strings

Versione Python:

2.6.2 (release26-maint, Apr 19 2009, 02:15:38) 

[GCC 4.3.3]

Sentiero Python:['/usr/share/qgis/python', '/home/doktoreas/.qgis//python/plugins/symbology_ng',

'/home/doktoreas/.qgis//python/plugins/symbology_ng', '/home/doktoreas/.qgis//python/plugins', '/usr/share/qgis/python/plugins',

'/usr/local/lib/python2.6/dist-packages/geopy-0.93dev_r75-py2.6.egg',

'/usr/local/lib/python2.6/dist-packages/GDAL-1.6.1-py2.6-linux-x86_64.egg', '/usr/local/lib/python2.6/dist-packages/OWSLib-0.3.1-py2.6.egg',

'/usr/local/share/qgis/python', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old',

'/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/dist-packages', '/usr/lib/python2.6/dist-packages/PIL',

'/usr/lib/python2.6/dist-packages/gst-0.10', '/var/lib/python-support/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0',

'/var/lib/python-support/python2.6/gtk-2.0', '/var/lib/python-support/python2.6/pyinotify', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode',

'/usr/local/lib/python2.6/dist-packages', '/usr/share/qgis/python/plugins/fTools/tools'

Thank you
Luca

#2 - 2009-09-28 10:52 AM - Paolo Cavallini

Confirmed on Debian unstable with commit:e2beee91 (SVN r11721)

#3 - 2009-11-15 05:13 AM - Giovanni Manghi

I was convinced that this error was this bug was already fixed, but it is still there on windows, while on linux I cannot replicate it.

Using the latest version of the plugin installed on the latest qgis-dev version installed via osgeo4w on a fresh winxp installation. The windows installation do

include pgsql/postgis (so no missing command line tools).

#4 - 2009-11-26 01:19 AM - Giovanni Manghi

I'm seeing this bug also on linux (ubuntu 9.04) now. Using qgis 1.3/trunk and the latest plugin version.

#5 - 2009-12-09 08:45 AM - Giovanni Manghi

Replying to [comment:6 lutra]:

I'm seeing this bug also on linux (ubuntu 9.04) now. Using qgis 1.3/trunk and the latest plugin version.

forget this lat comment about problems on linux, it was a box missing the necessary tools. Once installed all ok.

The issues are still true under windows, even after adding the necessary paths to the windows "path" environment variable.

#6 - 2009-12-18 06:45 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in [[PostGIS]] Manager v0.5.6.

Win32 is so nasty platform...
